import pickle
import matplotlib.pyplot as plt

#
# A) načtení a příprava dat
#

# načtení slovníku 'hustoty' z disku
with open('hustoty.pickle', mode='br') as binární_soubor:
    slovník = pickle.load(binární_soubor)

# prvních deset největších území
def funkce(název):
    data = slovník[název]
    return float(data[0])  # rozloha

názvy, plochy = [], []
for i,d in enumerate(sorted(slovník, key=funkce, reverse=True)):
    if i == 10:
        break
    názvy.append(d)
    plochy.append(
        float(slovník[d][0])
    )

#
# B) vykreslení dat
#

# graf prvních deseti nejrozlehlejších území
plt.plot(názvy, plochy, 'ro')

# hlavní čekací smyčka GUI
plt.show()
