import pickle
import matplotlib.pyplot as plt

#
# A) načtení a příprava dat
#

# načtení slovníku 'hustoty' z disku
with open('hustoty.pickle', mode='br') as binární_soubor:
    slovník = pickle.load(binární_soubor)

# prvních deset největších území
def funkce(název):
    data = slovník[název]
    return float(data[0])  # rozloha

názvy, plochy, lidí = [], [], []
for i,d in enumerate(sorted(slovník, key=funkce, reverse=True)):
    if i == 10:
        break
    # seznam názvů území
    názvy.append(d)
    # data (trojce) pro dané území
    data = slovník[d]
    # plochy a počet obyvatel daného území
    plochy.append(
        float(data[0])
    )
    lidí.append(
        int(data[1])
    )

#
# B) vykreslení dat
#

# graf prvních deseti nejrozlehlejších území
plt.plot(názvy, plochy, 'ro', label='plocha území')
plt.plot(názvy, lidí, 'gx', label='počet obyvatel')

# 
plt.ticklabel_format(style='plain', axis='y')

# pootočení popisek osy X
plt.xticks(rotation=60)

# vypsání legendy
plt.legend()

# popisky os
plt.xlabel('území')
plt.ylabel('rozloha')

# ~ spodní okraj okna posuneme, aby se vešly otočené popisky
# ~ levý okraj okna posuneme, aby se vešla čísla rozlohy v plné délce
plt.subplots_adjust(bottom=0.26, left=0.17)

# nadpis grafu
plt.title('Deset největších území světa')

# hlavní čekací smyčka GUI
plt.show()
